curl_getenv(3)

NAME
curl_getenv - return value for environment name

SYNOPSIS
#include <curl/curl.h>

char *curl_getenv(const char *name);

DESCRIPTION
curl_getenv() is a portable wrapper for the getenv() function, meant to emulate its behaviour and provide an identical interface for all operating systems libcurl builds on (including win32).

AVAILABILITY
This function will be removed from the public libcurl API in a near future. It will instead be made "available" by source code access only, and then as curlx_getenv().

RETURN VALUE
If successful, curl_getenv() returns a pointer to the value of the specified environment. The memory it refers to is malloc()ed so the application must free() this when the data is no longer needed. When curl_getenv(3) fails to find the specified name, it returns a null pointer.

NOTE
Under unix operating systems, there isn't any point in returning an allocated memory, although other systems won't work properly if this isn't done. The unix implementation thus have to suffer slightly from the drawbacks of other systems.

SEE ALSO
getenv(3C),